Bug 239818 (CVE-2009-2697) - CVE-2009-2697 gdm not built with tcp_wrappers
Summary: CVE-2009-2697 gdm not built with tcp_wrappers
Status: CLOSED ERRATA
Alias: CVE-2009-2697
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard: impact=low,source=redhat,reported=200...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-11 14:50 UTC by Radek Vokal
Modified: 2018-10-20 01:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 11:28:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1364 normal SHIPPED_LIVE Low: gdm security and bug fix update 2009-09-01 10:59:13 UTC

Description Tomas Janousek 2007-05-11 14:50:00 UTC
Description of problem:
gdm used to be built with tcp_wrappers on previous RHEL releases, although the
BuildRequires was missing there as well. The tcp_wrappers package just happened
to appear in the buildroot.

I believe it's nice to be able to limit XDMCP connections using hosts.{allow,deny}.


Version-Release number of selected component (if applicable):
gdm-2.16.0-30.el5


Additional info:
If you're going to fix this, don't forget that bug 181302 applies here as well.

Comment 5 RHEL Product and Program Management 2008-09-25 15:22:38 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 Alan Matsuoka 2009-02-06 17:33:09 UTC
I'll need the 5.3 flag cleared.

Comment 11 errata-xmlrpc 2009-09-02 11:28:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1364.html


Note You need to log in before you can comment on or make changes to this bug.